# Retrieve your account

`GET https://api.mothership.com/beta/account`

Sandbox: `https://sandbox.api.mothership.com/beta/account`

Retrieves the details of your company account.

## Authorization

Send your API token as a Bearer token: `Authorization: Bearer <token>`.

## Responses

### 200

Your account details, inside `data`.

- `data` (object, required)
  - `id` (string, required): The ID of your company account.
  - `createdAt` (string, required): When the company account was created, as an ISO 8601 string.
  - `name` (string, required): The name of your company account.
  - `email` (string, required): The primary email of your company account.
  - `phoneNumber` (string, required): The primary phone number of your company account.
  - `paymentTermLengthDays` (number, required): The number of days from invoice to payment due.
  - `updatedAt` (string, optional): When the company account was last updated, as an ISO 8601 string.
  - `paymentTermsEnabled` (boolean, optional): Whether payment terms are enabled for the account.
  - `creditLimitAmount` (number, optional): The total amount of term credit in USD.
  - `availableCreditAmount` (number, optional): The amount in USD remaining due on the credit term.
  - `totalAmountDue` (number, optional): The total amount due in USD of unpaid invoices.
  - `currency` (string, optional): Three-letter ISO currency code, in lowercase.

## Example request

```bash
curl --request GET \
  --url 'https://sandbox.api.mothership.com/beta/account' \
  --header "Authorization: Bearer $MOTHERSHIP_API_TOKEN" \
  --header 'Accept: application/json'
```

## Example response (200)

```json
{
  "data": {
    "id": "3f1c2a9e-5b7d-4e8a-9c61-2d4f8b0e7a15",
    "createdAt": "2026-03-19T17:00:00.000Z",
    "updatedAt": "2026-03-19T17:00:00.000Z",
    "name": "Griffith Observatory",
    "email": "logistics@example.com",
    "phoneNumber": "+15555555555",
    "paymentTermsEnabled": true,
    "paymentTermLengthDays": 30,
    "creditLimitAmount": 79,
    "availableCreditAmount": 79,
    "totalAmountDue": 1,
    "currency": "usd"
  }
}
```